SoVRMLWorldInfo(3)

NAME
SoVRMLWorldInfo - The SoVRMLWorldInfo class contains information about the VRML scene.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLWorldInfo.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoVRMLWorldInfo (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFString title
SoMFString info

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLWorldInfo ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLWorldInfo class contains information about the VRML scene. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

WorldInfo {
  field MFString info  []
  field SFString title ''
}

The WorldInfo node contains information about the world. This node is strictly for documentation purposes and has no effect on the visual appearance or behaviour of the world. The title field is intended to store the name or title of the world so that browsers can present this to the user (perhaps in the window border). Any other information about the world can be stored in the info field, such as author information, copyright, and usage instructions.

Constructor & Destructor Documentation

  SoVRMLWorldInfo::SoVRMLWorldInfo (void)
Constructor.

  SoVRMLWorldInfo::~SoVRMLWorldInfo () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLWorldInfo::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLWorldInfo::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoVRMLWorldInfo::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLWorldInfo::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoVRMLWorldInfo::initClass (void) [static]

Member Data Documentation

  SoSFString SoVRMLWorldInfo::title
World title strings.

  SoMFString SoVRMLWorldInfo::info
Info strings.

Author

Generated automatically by Doxygen for Coin from the source code.